%define		with_consolekit	1
%define 	xdm_libdir	%{_datadir}/X11/xdm
Name:		xdm
Version: 	1.1.11
Release: 	%mkrel 8
Summary: 	X Display Manager with support for XDMCP
Group: 		System/X11
URL: 		http://xorg.freedesktop.org
Source: 	http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
Source1: 	xdm.pamd
#Patch0: 	xdm-1.1.10-link.patch
License: 	MIT

BuildRequires: 	libx11-devel >= 1.0.0
BuildRequires: 	libxau-devel >= 1.0.0
BuildRequires: 	libxdmcp-devel >= 1.0.0
BuildRequires: 	libxmu-devel >= 1.0.0
BuildRequires: 	libxt-devel >= 1.0.0
BuildRequires: 	libxaw-devel >= 1.0.1
BuildRequires: 	x11-util-macros >= 1.0.1
BuildRequires: 	libpam-devel
%if %{with_consolekit}
#BuildRequires:	consolekit-devel
BuildRequires:	libdbus-devel
BuildRequires:  x11-util-macros >= 1.3.0
%endif
Requires: 	xinitrc > 2.4.19-9
Requires: 	xrdb
Requires: 	sessreg
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Conflicts:	xorg-x11 < 7.0
Provides:	dm

Patch4: 	0004-Support-kdm-extended-syntax-to-reserve-a-server-for.patch
#Patch5: 	0005-Initialize-the-greeter-only-after-checking-if-the-th.patch
Patch6: 	0006-Add-console-kit-support-to-xdm.patch
Patch7: 	0007-Add-files-required-by-consolekit-support.patch

%description
Xdm manages a collection of X displays, which may be on the local host or
remote servers. The design of xdm was guided by the needs of X terminals as
well as The Open Group standard XDMCP, the X Display Manager Control Protocol.
Xdm provides services similar to those provided by init, getty and login on
character terminals: prompting for login name and password, authenticating the
user, and running a session.

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
# patch 6 requires autoreconf
autoreconf -v --install
%configure2_5x	\
	--x-includes=%{_includedir}\
	--x-libraries=%{_libdir} \
%if %{with_consolekit}
	--with-consolekit \
%endif
	--with-xdmlibdir=%{xdm_libdir} \
	--enable-xdmshell \
	--with-pam \
	--with-systemdsystemunitdir=%{_unitdir}

%make

%install
%makeinstall_std

LC_ALL=C
LANG=C
export LC_ALL LANG

# remove files that are in xinitrc
rm -rf %{buildroot}%{xdm_libdir}/{[A-Z]*,xdm-config}

# remove unused devel files
rm -rf %{buildroot}%{xdm_libdir}/*.{a,la}

# install PAM file
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{_sourcedir}/xdm.pamd $RPM_BUILD_ROOT/etc/pam.d/xdm

install -d %{buildroot}/var/lib/xdm
ln -sf /var/lib/xdm %{buildroot}%{xdm_libdir}/authdir

# logrotate
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cat << EOF > %{buildroot}%{_sysconfdir}/logrotate.d/xdm
/var/log/xdm-error.log {
    notifempty
    missingok
    nocompress
}
EOF

%files
%config(noreplace) %{_sysconfdir}/pam.d/xdm
%config(noreplace) %{_sysconfdir}/logrotate.d/xdm
%dir /var/lib/xdm
%{_bindir}/xdm
%{_bindir}/xdmshell
%{_mandir}/man1/xdm*.*
%{xdm_libdir}/*
%{_datadir}/X11/app-defaults/Chooser
%{_unitdir}/xdm.service


%changelog

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.1.11-8.mga3
+ Revision: 397227
- remove obsolete pre script

* Mon Jan 14 2013 umeabot <umeabot> 1.1.11-7.mga3
+ Revision: 386717
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dams <dams> 1.1.11-6.mga3
+ Revision: 326414
- fix BR (remove consolekit)

* Sat Apr 28 2012 tmb <tmb> 1.1.11-5.mga2
+ Revision: 233909
- Require rpm-helper >= 0.24.8-1 for systemd support

* Thu Apr 19 2012 rtp <rtp> 1.1.11-4.mga2
+ Revision: 231807
- Fix patches 6 & 7

* Wed Feb 29 2012 dams <dams> 1.1.11-3.mga2
+ Revision: 216185
- Add 'Provides: dm' (bug #4532)

* Fri Feb 24 2012 dmorgan <dmorgan> 1.1.11-2.mga2
+ Revision: 214157
- Enable systemd support

* Fri Feb 24 2012 dams <dams> 1.1.11-1.mga2
+ Revision: 214070
- rediffed patches 0004 and 0006
- new version 1.1.11

* Sat Jan 28 2012 fwang <fwang> 1.1.10-3.mga2
+ Revision: 202542
- fix linkage

* Thu Mar 10 2011 ahmad <ahmad> 1.1.10-3.mga1
+ Revision: 67295
- imported package xdm

